Bug 109197 - Libreoffice crashes by deleting the internal variables, writer
Summary: Libreoffice crashes by deleting the internal variables, writer
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.4.0.1 rc
Hardware: All All
: highest critical
Assignee: Not Assigned
QA Contact:
URL:
Whiteboard: target:6.0.0 target:5.4.1 target:5.4.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2017-07-18 22:31 UTC by gerdl
Modified: 2017-07-24 22:13 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["sw::DocumentFieldsManager::RemoveFieldType(unsigned int)"]


Attachments
read in the example and try to delete one of the existing variables (40.34 KB, application/vnd.oasis.opendocument.text)
2017-07-18 22:31 UTC, gerdl
Details
gdb backtrace (22.45 KB, text/plain)
2017-07-19 12:16 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description gerdl 2017-07-18 22:31:28 UTC
Created attachment 134717 [details]
read in the example and try to delete one of the existing variables

Libreoffice crashes when deleting variables in a writer file.
Plesse see the example, taken from a huge document.
Comment 1 Timur 2017-07-19 11:33:05 UTC
Please have in mind that there are a number of different bugs and that you need to be specific and write exact steps to reproduce a bug, so that we don't guess around. 

What I understood from bug report:
1. open attachment
2. press Ctrl+F2 to open Insert More Fields
3. go to tab Variables
4. in User Fileds scroll Select to see which can be deleted (red buttton active) and delete one by one (datumabgabe,...)
5. LO crashes (with Crash Report)

Confirmed both in Windows and Linux, with master. 
https://crashreport.libreoffice.org/stats/crash_details/a7a62f99-3301-42b5-83df-a3baef81491a

"The Variables are no more sorted to be seen." Another issue.
Comment 2 Xisco Faulí 2017-07-19 12:16:28 UTC
Created attachment 134733 [details]
gdb backtrace
Comment 3 Xisco Faulí 2017-07-19 12:28:41 UTC
Regression introduced by:

author	Noel Grandin <noel.grandin@collabora.co.uk>	2017-01-11 12:26:47 (GMT)
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2017-01-13 08:34:03 (GMT)
commit	a706bb06d5326e7a997dd1d71f3f947bd0ad28e6 (patch)
tree	8ac34dea4e7e4106d3adbccc6a604b611928ffbe
parent	8c73acd101c80a4479f25e35278a451dc3c4b22e (diff)
new loplugin: useuniqueptr: sw part 1

Bisected with bibisect-linux-64-5.4

Adding Cc: to Noel Grandin
Comment 4 Commit Notification 2017-07-20 18:00:17 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=4a128f336a146a12c28bb9f3bdfa24d2198d85dc

tdf#109197 crash when deleting user field variables in sw

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2017-07-20 19:28:03 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8f232771e84ba0369acb27085813d5810b15724b&h=libreoffice-5-4

tdf#109197 crash when deleting user field variables in sw

It will be available in 5.4.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Michael Meeks 2017-07-20 19:36:50 UTC
Queued up for libreoffice-5-4-0 as well - thanks Noel ! =)
Comment 7 Xisco Faulí 2017-07-21 09:06:55 UTC
Verified in

Version: 6.0.0.0.alpha0+
Build ID: a9588baca8137f51e2ca72e40b1f448b0e1885d1
CPU threads: 1; OS: Windows 6.1; UI render: default; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-07-21_03:03:23
Locale: es-ES (es_ES); Calc: group
Comment 8 Commit Notification 2017-07-21 09:57:55 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=53cb76a7f66c594f210f539ec3a80c45a2ca4fd7&h=libreoffice-5-4-0

tdf#109197 crash when deleting user field variables in sw

It will be available in 5.4.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.